{
    num: 554,
    accuracy: 90,
    basePower: 120,
    category: "Special",
    name: "Ice Burn",
    pp: 5,
    priority: 0,
    flags: {charge: 1, protect: 1, mirror: 1, nosleeptalk: 1, failinstruct: 1},
    onTryMove(attacker, defender, move) {
        if (!attacker.removeVolatile(move.id)) {
            this.add('-prepare', attacker, move.name);
            if (!this.runEvent('ChargeMove', attacker, defender, move)) {
                return;
            }
        }
    },
    onEffectiveness(typeMod, target, type, move) {
        return typeMod + this.dex.getEffectiveness('Fire', type);
    },
    secondary: {
        chance: 20,
        status: 'brn',
    },
    target: "normal",
    type: "Ice",
    contestType: "Beautiful",
}
